### Method

# GcrUi ViewerWidget load_data

#### Declaration [src]

    void
    gcr_viewer_widget_load_data (
      GcrViewerWidget* self,
      const gchar* display_name,
      const guchar* data,
      gsize n_data
    )

#### Description [src]

Parse and load some data to be displayed into the viewer widgets. The data may contain multiple parseable items if the format can contain multiple items.

This function will copy the data. Use `gcr_viewer_widget_load_bytes()` to avoid copying the data.

#### Parameters

`display_name`

  Type: `const gchar*`

  Label for the loaded data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: An array of `guchar`

  Data to load.

  The length of the array is specified in the `n_data` argument.
  The data is owned by the caller of the method.

`n_data`

  Type: `gsize`

  Length of data to load.